
export SOUNDS="$HOME/Library/sounds"
export SOUNDFONTS="$HOME/Library/soundfonts"

{% if ansible_hostname == 'ninjabot' %}
export ARCHIVEBOX="/srv/ArchiveBox"
{% endif %}

{% if inventory_hostname in groups.get('server', []) %}
export REPO_MIRRORS=("ec2-user@syncopated.hopto.org" "bender.syncopated.net")
export REPO="/srv/repo"

#TODO: this gets set in build and deploy.sh
# export PACKAGES="$REPO/$os/packages/$arch"

#$REPO/archlinux/iso
#$REPO/archlinux/iso/x86_64

#$REPO/archlinux/packages
#$REPO/archlinux/packages/x86_64
#$REPO/archlinux/packages/x86_64_v3

#$REPO/almalinux/iso/live/
#$REPO/almalinux/iso/workstation/
#$REPO/almalinux/iso/server/

#$REPO/almalinux/packages/
#$REPO/almalinux/packages/x86_64/


#TODO: this should be set in build.sh
# export CHROOT="/mnt/chroots/arch"

#TODO: merge pkgbuilds and spec files
#export PKGBUILDS="$WORKSPACE/pkgrr/pkgbuilds"

#TODO: convert to task to install devtools to ~/.local/bin
#export DEVTOOLS="$SYNCOPATED/pkgrr/devtools"

#TODO: this can be removed
#export PATH="$PATH:${DEVTOOLS}"

#TODO: set this in the pkgrrr role or in build.sh
# export pacman_conf="$DEVTOOLS/pacman-x86_64.conf"
# export makepkg_conf="$DEVTOOLS/makepkg-x86_64.conf"

{% endif %}

{% if inventory_hostname in groups.get('workstation', []) %}
export NOTEBOOK="$HOME/Notebook"
export WORKSPACE="$HOME/Workspace"
export SYNCOPATED="$WORKSPACE/syncopated"

export ANSIBLE_HOME="$WORKSPACE/syncopatedstudio/infrastructure/cfgmgmt"
export ANSIBLE_CONFIG="$ANSIBLE_HOME/ansible.cfg"
export INVENTORY="$ANSIBLE_HOME/inventory.yml"
export PLAYBOOKS="$ANSIBLE_HOME/playbooks"



export PATH="$PATH:$HOME/.rvm/bin"
{% endif %}
